Package org.codehaus.groovy.tools.groovydoc

## Class GroovyDocParser

- java.lang.Object
- - org.codehaus.groovy.tools.groovydoc.GroovyDocParser

- All Implemented Interfaces:
    `GroovyDocParserI`

      @Deprecated
      public class GroovyDocParser
      extends Object
      implements GroovyDocParserI

  Deprecated.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `GroovyDocParser​(List<LinkArgument> links, Properties properties)` | Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Map<String,​GroovyClassDoc>` | `getClassDocsFromSingleSource​(String packagePath, String file, String src)` | Deprecated.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GroovyDocParser

          public GroovyDocParser​(List<LinkArgument> links,
                                 Properties properties)

      Deprecated.

  - ### Method Detail

    - #### getClassDocsFromSingleSource

          public Map<String,​GroovyClassDoc> getClassDocsFromSingleSource​(String packagePath,
                                                                               String file,
                                                                               String src)
                                                                        throws RuntimeException

      Deprecated.
      Specified by:
        `getClassDocsFromSingleSource` in interface `GroovyDocParserI`
      Throws:
        `RuntimeException`